Returns immutable history for one Board Item responsibility.
GET
/api/workspace/boards/{boardId}/items/{resourceObjectId}/responsibilities/{responsibilityKey}/history
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/boards/example/items/example/responsibilities/example/history?pageSize=50"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/boards/example/items/example/responsibilities/example/history?pageSize=50';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/workspace/boards/example/items/example/responsibilities/example/history?pageSize=50'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”boardId
required
string
resourceObjectId
required
string
responsibilityKey
required
string
Query Parameters
Section titled “Query Parameters”cursor
string
pageSize
integer format: int32
access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Returns responsibility history.
object
Resource
Identifies one runtime resource.
object
ResourceModule
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
ResponsibilityKey
string
Changes
Array<object>
Describes one responsibility assignment history item.
object
ChangeSetId
string
ChangedAt
string format: date-time
ActorUserId
string
Reason
string
Before
Array<object>
Describes one assigned responsibility subject.
object
SubjectType
string
SubjectId
string
EffectiveFrom
string format: date-time
EffectiveTo
string format: date-time
After
Array<object>
Describes one assigned responsibility subject.
object
SubjectType
string
SubjectId
string
EffectiveFrom
string format: date-time
EffectiveTo
string format: date-time
NextCursor
string
SubjectDisplays
Server-resolved subject display names keyed by SubjectType:SubjectId.
object
key
additional properties
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}